.o-question-drawer {
  height: 100% !important;

  .rs-drawer {
    &-body {
      padding: 0;

      display: flex;
      flex-direction: column;

      &-close {
        display: none;
      }
    }
  }

  &__toggle {
    position: absolute;
    top: 3.2rem;
    right: 3.2rem;

    width: 4rem;
    height: 4rem;
    padding: 0;

    display: flex;
    align-items: center;
    justify-content: center;

    background: rgba($color: #d5dee8, $alpha: 0.5);
    border-radius: 50%;
    box-shadow: none !important;

    @include desktop-sm {
      top: 1.6rem;
    }

    img {
      width: 2rem;
      height: 2rem;

      object-fit: contain;
      object-position: center;
    }
  }

  &__header {
    padding: 3.6rem 8rem 2.4rem 8rem;

    @include desktop-sm {
      padding: 2.4rem 8rem 1.6rem 8rem;
    }
  }

  &__title {
    color: #374352;
    font-size: 2.4rem;
    font-weight: 600;
    line-height: 3.2rem;
    text-align: center;
    
    b {
      display: inline-block;
      width: 500px;
      overflow: hidden;
      white-space: nowrap;
      text-overflow: ellipsis;
      font-size: 2.4rem;
      font-weight: 600;
      line-height: 3.2rem;
      vertical-align: bottom;
      text-align: left;
    }
  }

  &__body {
    max-height: calc(100% - 17.2rem);
    padding: 0 3.2rem;

    display: flex;
    flex: 1;
    flex-direction: column;

    @include desktop-sm {
      max-height: calc(100% - 15.2rem);
    }
  }

  &__filter {
    position: relative;
    z-index: 2;

    .__upper {
      display: flex;
      align-items: center;
      justify-content: space-between;

      .__input-group {
        display: flex;

        .__search-box {
          width: 51.2rem;
        }

        .__sub-btn {
          height: 4rem;
          margin: 0 0 0 0.8rem;
          padding: 0 1.6rem;

          display: flex;
          align-items: center;

          background: #fff;
          border-radius: 1rem;
          box-shadow: 0 0.1rem 0.4rem rgba(115, 132, 152, 0.2);

          color: #526375;
          font-size: 1.4rem;
          font-weight: 500;

          img {
            width: 1.6rem;
            height: 1.6rem;
            margin: 0 0.8rem 0 0;

            display: block;

            object-fit: contain;
            object-position: center;
          }

          .__badge {
            position: relative;

            &[data-hidden='true'] {
              &::before {
                display: none;
              }
            }

            &::before {
              position: absolute;
              top: -0.5rem;
              right: 0rem;

              width: 1.4rem;
              height: 1.4rem;

              background: #c96851;
              border: 0.1rem solid #fff;
              border-radius: 50%;

              color: #fff;
              content: attr(data-value);
              font-size: 0.8rem;
              line-height: 1.2rem;
            }
          }
        }

        .__main-btn {
          height: 4rem;
          margin: 0 0 0 0.8rem;
          padding: 0 1.6rem;

          display: flex;
          align-items: center;

          background: #5cb9d8;
          border-radius: 1rem;
          box-shadow: none;

          color: #fff;
          font-size: 1.4rem;
          font-weight: 500;

          img {
            width: 1.6rem;
            height: 1.6rem;
            margin: 0 0.8rem 0 0;

            object-fit: contain;
            object-position: center;

            filter: brightness(5);
          }
        }

        .rs-btn {
          &[data-active='true'] {
            background: #d5dee8;

            .__badge {
              &::before {
                border-color: #d5dee8;
              }
            }
          }
        }
      }

      .__action-group {
        .__action-btn {
          height: 4rem;
          margin: 0 0 0 0.8rem;
          padding: 0 1.6rem;

          display: flex;
          align-items: center;

          background: #6868ac;
          border-radius: 1rem;
          box-shadow: none;

          color: #fff;
          font-size: 1.4rem;
          font-weight: 500;

          img {
            width: 1.6rem;
            height: 1.6rem;
            margin: 0 0.8rem 0 0;

            object-fit: contain;
            object-position: center;

            filter: brightness(5);
          }
        }
      }
    }

    .__below {
      width: calc(100% + 0.8rem);
      margin: 1.6rem -0.4rem 0 -0.4rem;

      display: flex;

      .__filter-box {
        width: calc(12.5% - 0.8rem);
        margin: 0 0.4rem;

        flex: 1;
      }
    }

    .__ps {
      margin: 1.6rem 0 0 0;

      display: flex;
      align-items: center;

      .__checkbox {
        margin: 0 1rem 0 0;
      }
    }
  }

  &__table {
    position: relative;
    z-index: 1;

    margin: 1.6rem 0 0 0;
    padding: 0 1.6rem;

    flex: 1;
    overflow: auto;

    border-radius: 1.2rem;
    box-shadow: 0 0.1rem 0.4rem rgba(115, 132, 152, 0.2);

    white-space: nowrap;

    table {
      // width: unset;

      thead {
        tr {
          th {
            padding: 0.8rem !important;

            &:nth-child(1) {
              width: 30px;
            }
            &:nth-child(2) {
              width: 60px;
            }
            &:nth-child(3) {
              width: 10%;
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(4) {
              width: 10%;
            }
            &:nth-child(5) {
              width: 10%;
            }
            &:nth-child(6) {
              width: 10%;
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(7) {
              width: 10%;
            }
            &:nth-child(8) {
              width: calc((60% - 120px) / 2);
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(9) {
              width: calc((60% - 120px) / 2);
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(10) {
              width: 30px;
            }
          }
        }
      }

      tbody {
        tr {
          &:hover {
            .__action-group {
              opacity: 1;

              pointer-events: all;
            }
          }
          &.deleted {
            opacity: 0.5;
          }

          td {
            padding: 0.8rem !important;

            &:nth-child(1) {
              width: 30px;
            }
            &:nth-child(2) {
              width: 60px;
            }
            &:nth-child(3) {
              width: 10%;
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(4) {
              width: 10%;
            }
            &:nth-child(5) {
              width: 10%;
            }
            &:nth-child(6) {
              width: 10%;
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(7) {
              width: 10%;
            }
            &:nth-child(8) {
              width: calc((60% - 120px) / 2);
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(9) {
              width: calc((60% - 120px) / 2);
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(10) {
              width: 30px;
            }
          }

          &.tr-expand {
            display: none;
          }

          &.show + tr.tr-expand {
            display: unset;
          }
        }
      }
    }

    .__system {
      table {
        thead {
          tr {
            th {
              padding: 0.8rem !important;
  
              &:nth-child(1) {
                width: 3rem;
              }
              &:nth-child(2) {
                width: 6rem;
              }
              &:nth-child(3) {
                width: 7.5%;
                justify-content: flex-start;
                text-align: left;
              }
              &:nth-child(4) {
                width: 7.5%;
              }
              &:nth-child(5) {
                width: 7.5%;
              }
              &:nth-child(6) {
                width: 7.5%;
  
                justify-content: flex-start;
  
                text-align: left;
              }
              &:nth-child(7) {
                width: 7.5%;
              }
              &:nth-child(8) {
                width: 7.5%;
  
                justify-content: flex-start;
  
                text-align: left;
              }
              &:nth-child(9) {
                width: 7.5%;
  
                justify-content: flex-start;
  
                text-align: left;
              }
              &:nth-child(10) {
                width: 5%;
              }
              &:nth-child(11) {
                width: 7.5%;
  
                justify-content: flex-start;
  
                text-align: left;
              }
              &:nth-child(12) {
                width: 10%;
  
                justify-content: flex-start;
  
                text-align: left;
              }
              &:nth-child(13) {
                width: 7.5%;
              }
              &:nth-child(14) {
                width: calc((27.5% - 9.5rem) / 2);
  
                justify-content: flex-start;
  
                text-align: left;
              }
              &:nth-child(15) {
                justify-content: flex-start;
                width: calc((27.5% - 9.5rem) / 2);
  
                text-align: left;
              }
              &:nth-child(16) {
                justify-content: flex-start;
                width: 3rem;
  
                text-align: left;
              }
            }
          }
        }
  
        tbody {
          tr {
            &:hover {
              .__action-group {
                opacity: 1;
  
                pointer-events: all;
              }
            }
            &.deleted {
              opacity: 0.5;
            }
  
            td {
              padding: 0.8rem !important;
  
              &:nth-child(1) {
                width: 3rem;
              }
              &:nth-child(2) {
                width: 6rem;
              }
              &:nth-child(3) {
                width: 7.5%;
                justify-content: flex-start;
                text-align: left;
              }
              &:nth-child(4) {
                width: 7.5%;
              }
              &:nth-child(5) {
                width: 7.5%;
              }
              &:nth-child(6) {
                width: 7.5%;
  
                justify-content: flex-start;
  
                text-align: left;
              }
              &:nth-child(7) {
                width: 7.5%;
              }
              &:nth-child(8) {
                width: 7.5%;
  
                justify-content: flex-start;
  
                text-align: left;
              }
              &:nth-child(9) {
                width: 7.5%;
  
                justify-content: flex-start;
  
                text-align: left;
              }
              &:nth-child(10) {
                width: 5%;
              }
              &:nth-child(11) {
                width: 7.5%;
  
                justify-content: flex-start;
  
                text-align: left;
              }
              &:nth-child(12) {
                width: 10%;
  
                justify-content: flex-start;
  
                text-align: left;
              }
              &:nth-child(13) {
                width: 7.5%;
              }
              &:nth-child(14) {
                width: calc((27.5% - 9.5rem) / 2);
  
                justify-content: flex-start;
  
                text-align: left;
              }
              &:nth-child(15) {
                justify-content: flex-start;
                width: calc((27.5% - 9.5rem) / 2);
  
                text-align: left;
              }
              &:nth-child(16) {
                justify-content: flex-start;
                width: 3rem;
  
                text-align: left;
              }
            }
  
            &.tr-expand {
              display: none;
            }
  
            &.show + tr.tr-expand {
              display: unset;
            }
          }
        }
      }
    }
  }

  &__empty {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    flex: 1;
    flex-direction: column;

    .__banner {
      width: 32rem;
      height: 20rem;

      object-fit: contain;
      object-position: center;
    }

    .__description {
      width: 40rem;
      margin: 0 0 1.6rem 0;

      color: #526375;
      font-size: 1.6rem;
      line-height: 2.4rem;
      text-align: center;
    }

    .__submit {
      min-width: 20rem;
      height: 4.8rem;
      padding: 0 1.6rem;

      background: #6868ac;
      border-radius: 1.2rem;
      box-shadow: none;

      color: #fff;
      font-size: 1.6rem;
      font-weight: 600;
    }
  }

  &__footer {
    height: 8rem;
    padding: 0 3.2rem;

    display: flex;
    align-items: center;
    justify-content: space-between;

    .__submit {
      .__primary {
        min-width: 16rem;
        height: 4.8rem;
        padding: 0 1.6rem;

        background: #6868ac;
        border-radius: 1.2rem;
        box-shadow: none;

        color: #fff;
        font-size: 1.6rem;
        font-weight: 600;

        &:disabled {
          opacity: 0.6;
        }
      }
    }
  }
}
